首页新闻找找看学习计划

新手asp.net项目添加引用后报错

0
[已解决问题] 解决于 2019-05-05 14:49

报错情况是:类型“Table”在未引用的程序集中定义。必须添加对程序集“Aspose.Words, Version=16.7.0.0, Culture=neutral, PublicKeyToken=null”的引用。

而添加的引用Aspose.Words程序集版本为11.7.0.0。恳请大佬解惑

问题补充:

这是从团队资源获取的项目,一般添加引用就可以正常运行,而我的却出现程序集.dll的这个报错。我添加引用16.7.00版本还是提示这个找不到该版本引用

木剑游侠的主页 木剑游侠 | 初学一级 | 园豆:186
提问于:2019-04-17 16:35
< >
分享
最佳答案
0

错误很明显了,你引用的版本是11.7.0.0,而你的配置文件(Web.Config,这个是项目目录下的,不是View文件夹中的)中写的是对16.7.0.0版本的引用,当你运行程序时,首先会读取配置文件,配置文件说你去找16.7.0.0版本程序集,而11.7.0.0程序集躺着没人叫他,你说,叫不到16.7.0.0他能不报错吗,解决办法就是,要么该引用文件的版本,要么改配置文件中的版本号,两者统一即可

奖励园豆:5
学会乐观 | 小虾三级 |园豆:653 | 2019-04-17 17:25
其他回答(1)
0

版本不对,你可以右键dll 查看属性,你添加的 Aspose.Words这个的dll,是11.7.0.0,你需要找到16.7.0.0的版本

三人乐乐 | 园豆:3150 (老鸟四级) | 2019-04-17 17:11
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册